#include <tigcclib.h>

/*===========================================================================*/
/* get input key pressed by user                                             */
/*                                                                           */
/* replacement for ngetchx() and/or GKeyIn(), because:                       */
/*                                                                           */
/* (1) ngetchx() won't check the APD timer value                             */
/* (2) GKeyIn() destroys the display due to setting the status display       */
/*                                                                           */
/* additionally this function handles the CALCULATOR OFF combinations        */
/*===========================================================================*/
extern unsigned short GetUserInput(void);


#if ((defined(USE_TI89) && defined(USE_TI92PLUS)) || (defined(USE_TI89) && defined(USE_V200)))
#error cannot produce both versions at once
#elif defined(USE_TI89)
#define C89_92(x,y) (x)
#elif defined(USE_TI92PLUS)
#define USE_V200
#define C89_92(x,y) (y)
#elif defined(USE_V200)
#define USE_TI92P
#define C89_92(x,y) (y)
#else
#error Please specify either -DUSE_TI89 or -DUSE_TI92P/-DUSE_V200 on commandline
#endif
